GNU bug report logs - #52400
[PATCH] Don't generate separate autoload file for htmlfontify.el

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Stefan Kangas <stefan@HIDDEN>; Keywords: patch; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 52400 <at> debbugs.gnu.org and Stefan Kangas <stefan@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52400 <at> debbugs.gnu.org:


Received: (at 52400) by debbugs.gnu.org; 5 Jun 2022 16:24:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 12:24:21 2022
Received: from localhost ([127.0.0.1]:33344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxt37-0001MZ-7e
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 12:24:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nxt32-0001M9-5q
 for 52400 <at> debbugs.gnu.org; Sun, 05 Jun 2022 12:24:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2SpBbQMkHjU8swSkYBRaySPM/xk4pzIIzJ6+ffj6XMU=; b=nPN6cQ3AkyhYx6rjk+1vwO4SDB
 7wE+O9gWZly1M9rtaqX9XAazcovRYcTsjezuqXeWyGVAZIYFlBe02kdUL6Kgj4Cq3DAO/XfpYx+8t
 7Rq1ByXhslhZmEuWGYIfpypWVviWsOMlIyOnb6CgW8IHQzihQm5CYVe1eAqlfHJeRV8A=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nxt2s-0003Ii-Tn; Sun, 05 Jun 2022 18:24:09 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#52400: [PATCH] Don't generate separate autoload file for
 htmlfontify.el
References: <CADwFkmkjSY6k59-0jPb2PWNUc=9F3pcMLjjAvGVPEfkszXFB3g@HIDDEN>
 <83y24ssveb.fsf@HIDDEN>
 <CADwFkm=fVu3gaXh_ykFEWypDMdAu-nSR+uOibXgSo1BM0tKV8Q@HIDDEN>
 <83mtl8shrk.fsf@HIDDEN>
 <CADwFkm=dZ7TNVCQAn6w5s0BwGDYjhoHRTqKM50t7OVCV9_y3FA@HIDDEN>
 <83fsr0s8zu.fsf@HIDDEN>
 <CADwFkmm7=ZCi0+qpkZeWTUp-kP=LGZgZzAFvCWYfqGwHqmx6cA@HIDDEN>
X-Now-Playing: Exek's _Check it Out!!_: "Punishment"
Date: Sun, 05 Jun 2022 18:24:05 +0200
In-Reply-To: <CADwFkmm7=ZCi0+qpkZeWTUp-kP=LGZgZzAFvCWYfqGwHqmx6cA@HIDDEN>
 (Stefan Kangas's message of "Fri, 10 Dec 2021 19:45:35 +0000")
Message-ID: <8735gj13kq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > This file is the
 result of an old optimization (some autoloads) that > were subsequently
 cleaned
 up. (The non-optimized version would have > been to just require hfy-cmap.el.)
 However, the clean-up [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52400
Cc: Eli Zaretskii <eliz@HIDDEN>, 52400 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> This file is the result of an old optimization (some autoloads) that
> were subsequently cleaned up.  (The non-optimized version would have
> been to just require hfy-cmap.el.)  However, the clean-up didn't go far
> enough, and thus we ended up with a file that I think can be accurately
> described as cruft.

I think that's the correct analysis here, so I've pushed Stefan's patch
to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52400; Package emacs. Full text available.

Message received at 52400 <at> debbugs.gnu.org:


Received: (at 52400) by debbugs.gnu.org; 10 Dec 2021 19:45:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 10 14:45:44 2021
Received: from localhost ([127.0.0.1]:47940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mvlpv-0001lr-TG
	for submit <at> debbugs.gnu.org; Fri, 10 Dec 2021 14:45:44 -0500
Received: from mail-pg1-f182.google.com ([209.85.215.182]:35566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mvlpt-0001ld-BR
 for 52400 <at> debbugs.gnu.org; Fri, 10 Dec 2021 14:45:42 -0500
Received: by mail-pg1-f182.google.com with SMTP id j11so8919709pgs.2
 for <52400 <at> debbugs.gnu.org>; Fri, 10 Dec 2021 11:45:41 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=/C1aIZ7Z1IK2kjgqn8ZHWrdw0Ow2mOW7joVqxHevphY=;
 b=za4TB52tiX9LIDvqTaA9qIB552jsFqxTy74ojzmTpRfR/VZcJAdNtPh+Nh2iGzIsLw
 JlR9jRSdsjbT+uUmkJnQqGWgjBG6sdrM6JiAB9ShXsuhT/c7bW9xIByWXYvo3KP44nZ+
 Kh/jPfKV/lwSB8HlFQwYsEIBEPzz1s2ju2H3ipK/oCu0l4gts2a1EeRTkTR4LNkqMw3U
 YBYSqyGf7i4buWzrISlYp0rTGPDMcJ0iJ5c1JNCvug2FiTMHJA2e5bXV6k2Tc2hj9PIC
 ggt+UvKMkXBH8dhg23MUrNuyGRdP3DtlhRZRq35UsRGmyUZ3jpgfDNZrY1nY6NF1v8AW
 OXiA==
X-Gm-Message-State: AOAM531AmWODK/z2L5R460yuopTvKsBKF9xjOFjzH9sbAPUxjrFyFwhA
 izRvj8v+Ft7Fu/uNZ2bsh7VfzsTOM1bGVBMqOMbls3wl
X-Google-Smtp-Source: ABdhPJwLIFfT7OQPU9vP67A+GpF2sIQw2dFHIbV4/5MglImzy7A1b/LJXKd+8n8256Vk2qX/XyLYBGBjumiSjAzg04E=
X-Received: by 2002:a62:1a03:0:b0:494:64b5:3e01 with SMTP id
 a3-20020a621a03000000b0049464b53e01mr19902488pfa.35.1639165535484; Fri, 10
 Dec 2021 11:45:35 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 10 Dec 2021 19:45:35 +0000
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83fsr0s8zu.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 10 Dec
 2021 18:46:45 +0200")
References: <CADwFkmkjSY6k59-0jPb2PWNUc=9F3pcMLjjAvGVPEfkszXFB3g@HIDDEN>
 <83y24ssveb.fsf@HIDDEN>
 <CADwFkm=fVu3gaXh_ykFEWypDMdAu-nSR+uOibXgSo1BM0tKV8Q@HIDDEN>
 <83mtl8shrk.fsf@HIDDEN>
 <CADwFkm=dZ7TNVCQAn6w5s0BwGDYjhoHRTqKM50t7OVCV9_y3FA@HIDDEN>
 <83fsr0s8zu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Fri, 10 Dec 2021 19:45:35 +0000
Message-ID: <CADwFkmm7=ZCi0+qpkZeWTUp-kP=LGZgZzAFvCWYfqGwHqmx6cA@HIDDEN>
Subject: Re: bug#52400: [PATCH] Don't generate separate autoload file for
 htmlfontify.el
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 52400
Cc: 52400 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> But it isn't cruft.  You tend to declare something "cruft" too easily.

This file is the result of an old optimization (some autoloads) that
were subsequently cleaned up.  (The non-optimized version would have
been to just require hfy-cmap.el.)  However, the clean-up didn't go far
enough, and thus we ended up with a file that I think can be accurately
described as cruft.

> No, we don't.  Please don't consider cruft anything that you think is
> not right; there's more than one way to skin a fish.  People who
> worked on Emacs before us weren't exactly incompetent, you know.

I don't think saying that some things have outgrown their usefulness or
could be done better reflects negatively on previous authors.

> Just get used to it being there, I say.  It doesn't do any harm,
> although you seem to think it does.

The "harm" here is exactly having to get used to it.  IOW, you may argue
that this is a very minor cleanup, but on the other hand the cost of
doing nothing is also non-zero.  Hackers will have to look at this for
another couple of decades, or until someone else thinks to install a
patch like the one I wrote.

However, since you seem to feel strongly about it, I won't insist.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52400; Package emacs. Full text available.

Message received at 52400 <at> debbugs.gnu.org:


Received: (at 52400) by debbugs.gnu.org; 10 Dec 2021 16:47:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 10 11:47:06 2021
Received: from localhost ([127.0.0.1]:47802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mvj34-0005Lg-8s
	for submit <at> debbugs.gnu.org; Fri, 10 Dec 2021 11:47:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mvj32-0005Kx-1R
 for 52400 <at> debbugs.gnu.org; Fri, 10 Dec 2021 11:47:04 -0500
Received: from [2001:470:142:3::e] (port=34544 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mvj2w-0002lK-JE; Fri, 10 Dec 2021 11:46:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=U320AwfouhqhvH5IhyZyOS0rFknIbNkPezSOZyIrEXU=; b=lsA4hGfDpnWD
 I/Q3RevF7vzRhHQMepXbF7ZknayJFtsIZTVXUy1bU+qeBNVGVmjyShgLHmA72AgrqGCgxv1Wycgt0
 I4zZjeZBq1XU02VzGMZzJp+sozki+mQB9OJrkPYVRYOKTgm+5iDbI2lwqnO6d9KSpey/LKW7zTPmi
 uvI4pOjHnAkkrGcetDDd/6VhSxhcCFOCnwnOCSz42SJjRz38vPPFAQsTa1So8fsaQmydaOcZRzkjs
 fXUc+sNE5XTMr9pX/5mIUPgWnq/PoueDb0BfH+YtWXGoPb9xkfxI+69Fb8BCMsvTG1ZcpNJ2SpOYb
 6uVuxBRnMNRTvWrexhYSmg==;
Received: from [87.69.77.57] (port=1076 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mvj2w-0008DT-CC; Fri, 10 Dec 2021 11:46:58 -0500
Date: Fri, 10 Dec 2021 18:46:45 +0200
Message-Id: <83fsr0s8zu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=dZ7TNVCQAn6w5s0BwGDYjhoHRTqKM50t7OVCV9_y3FA@HIDDEN>
 (message from Stefan Kangas on Fri, 10 Dec 2021 15:22:12 +0000)
Subject: Re: bug#52400: [PATCH] Don't generate separate autoload file for
 htmlfontify.el
References: <CADwFkmkjSY6k59-0jPb2PWNUc=9F3pcMLjjAvGVPEfkszXFB3g@HIDDEN>
 <83y24ssveb.fsf@HIDDEN>
 <CADwFkm=fVu3gaXh_ykFEWypDMdAu-nSR+uOibXgSo1BM0tKV8Q@HIDDEN>
 <83mtl8shrk.fsf@HIDDEN>
 <CADwFkm=dZ7TNVCQAn6w5s0BwGDYjhoHRTqKM50t7OVCV9_y3FA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52400
Cc: 52400 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Fri, 10 Dec 2021 15:22:12 +0000
> Cc: 52400 <at> debbugs.gnu.org
> 
> > I say why take the risks, however low, if the problem is not serious
> > enough?
> 
> Cruft inevitably adds to cognitive load.

But it isn't cruft.  You tend to declare something "cruft" too easily.

> We have a lot of it, IMO, so every little bit helps.

No, we don't.  Please don't consider cruft anything that you think is
not right; there's more than one way to skin a fish.  People who
worked on Emacs before us weren't exactly incompetent, you know.

> The problem is that if it exists, you will sometimes happen to look at
> it and think "hmm, why is this file here".  I think this is the second
> (or third?) time I stumble upon this particular file.

Just get used to it being there, I say.  It doesn't do any harm,
although you seem to think it does.

We have enough real problems to deal with.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52400; Package emacs. Full text available.

Message received at 52400 <at> debbugs.gnu.org:


Received: (at 52400) by debbugs.gnu.org; 10 Dec 2021 15:22:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 10 10:22:22 2021
Received: from localhost ([127.0.0.1]:47739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mvhj3-0002y3-Sv
	for submit <at> debbugs.gnu.org; Fri, 10 Dec 2021 10:22:22 -0500
Received: from mail-pl1-f178.google.com ([209.85.214.178]:34556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mvhj0-0002xi-87
 for 52400 <at> debbugs.gnu.org; Fri, 10 Dec 2021 10:22:20 -0500
Received: by mail-pl1-f178.google.com with SMTP id y8so6508748plg.1
 for <52400 <at> debbugs.gnu.org>; Fri, 10 Dec 2021 07:22:18 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=o1wbITE7tqFnIStlArhQcoi5PdYA2OueMtwBzdq+/FI=;
 b=kJELVe6LQJR+3wbHpeMFYbrV5EPYbUrJb4RH8FTS013F3Ro0Dhq5q6165UuwuFRgyp
 MoCvmbiDRkZOOBbAu9EZ5YivUWL2b9+EFCtFzqa/Gpksz9uL3+MOE2RTHevDjsWStoJg
 VaXrSBx9fdbGyZP06gq8eREiAcCFZmRv9FWhrSQGYNsqkZ/hn23Em6DRLgJxrchU/oJl
 lbDXUlt8aSIwZVs28PxGlf4ISyNh1k6+SwwU3BcSBqv1zWoOLCIkB2/EIM335YGm7tmt
 kxtrLrMMKdYuzE/ULxrMJCn6ulZQ0PaZ0eNZCmHEdzmQO3fTEeM3kuypJ+ClehokzhgO
 Ktuw==
X-Gm-Message-State: AOAM5325rOuHBTwfcTDG6r8MMp/2+VaXztV3lGEOsLypHUItCgWncp0v
 RxhOa7K8vXPFQcwNn5Eo2s37dVgpXKC6AKrUblw=
X-Google-Smtp-Source: ABdhPJx/RsEg7Ir//5wdCao6Z8ntEHUB4scvQD3vgKNtPR8+ZVnZ4mJBGQzwHftaFhSVHWFh4V8S7q673lkS3v/2NlM=
X-Received: by 2002:a17:90a:4414:: with SMTP id
 s20mr24871604pjg.132.1639149732620; 
 Fri, 10 Dec 2021 07:22:12 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 10 Dec 2021 15:22:12 +0000
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83mtl8shrk.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 10 Dec
 2021 15:37:19 +0200")
References: <CADwFkmkjSY6k59-0jPb2PWNUc=9F3pcMLjjAvGVPEfkszXFB3g@HIDDEN>
 <83y24ssveb.fsf@HIDDEN>
 <CADwFkm=fVu3gaXh_ykFEWypDMdAu-nSR+uOibXgSo1BM0tKV8Q@HIDDEN>
 <83mtl8shrk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Fri, 10 Dec 2021 15:22:12 +0000
Message-ID: <CADwFkm=dZ7TNVCQAn6w5s0BwGDYjhoHRTqKM50t7OVCV9_y3FA@HIDDEN>
Subject: Re: bug#52400: [PATCH] Don't generate separate autoload file for
 htmlfontify.el
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 52400
Cc: 52400 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> That the build breaks.  Two possible variants of breakage:
>
>   . the autoloads aren't updated when they should be
>   . the rule for updating the autoloads is executedevery time you say
>     "make", even if there was no change anywhere in Emacs

FWIW, I didn't see any of those issues in my testing.

> I say why take the risks, however low, if the problem is not serious
> enough?

Cruft inevitably adds to cognitive load.  A lot of it adds more, little
adds little.  We have a lot of it, IMO, so every little bit helps.

The problem is that if it exists, you will sometimes happen to look at
it and think "hmm, why is this file here".  I think this is the second
(or third?) time I stumble upon this particular file.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52400; Package emacs. Full text available.

Message received at 52400 <at> debbugs.gnu.org:


Received: (at 52400) by debbugs.gnu.org; 10 Dec 2021 13:37:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 10 08:37:44 2021
Received: from localhost ([127.0.0.1]:45938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mvg5o-0005pA-D1
	for submit <at> debbugs.gnu.org; Fri, 10 Dec 2021 08:37:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mvg5m-0005os-9B
 for 52400 <at> debbugs.gnu.org; Fri, 10 Dec 2021 08:37:42 -0500
Received: from [2001:470:142:3::e] (port=48262 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mvg5h-0006Y3-0m; Fri, 10 Dec 2021 08:37:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=u/EbCpoCe5Eu69bHNesHFRdecj54w0psD+Mfk+z4eRM=; b=FJP5OqF8goCV
 k98OL/t8eyRhRcvxp1oqQ4AbHPf7BoHOWBwqdNnyTAMQP/+FzWKq9BYFiOLcY8hOSL408mhVk7Eb+
 vgv4DHFFvae5WYvtOnxVriXqkaPQfCRySkrMSCyRTvGC7dhapgLWPsnZS+Of4XozraSJxxnu9SUkI
 4zqynbbI9zKDl+PrSt35JvHaNSCJUp+KQ1xwq1hAZdTd/IXYTd38TnlcuFWR0Ry2A5jRERPkU/mCB
 eCVpCkG0ff8BsQbVYUP/wwufPZfHNfzLMdI3nr1fA1Xho1CJheKLSf/cYYONlTSX29kipC6a4QDg4
 cF19U61BSy7N9mmcbw5GnA==;
Received: from [87.69.77.57] (port=1268 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mvg5c-0001y6-Tw; Fri, 10 Dec 2021 08:37:36 -0500
Date: Fri, 10 Dec 2021 15:37:19 +0200
Message-Id: <83mtl8shrk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=fVu3gaXh_ykFEWypDMdAu-nSR+uOibXgSo1BM0tKV8Q@HIDDEN>
 (message from Stefan Kangas on Fri, 10 Dec 2021 13:32:51 +0000)
Subject: Re: bug#52400: [PATCH] Don't generate separate autoload file for
 htmlfontify.el
References: <CADwFkmkjSY6k59-0jPb2PWNUc=9F3pcMLjjAvGVPEfkszXFB3g@HIDDEN>
 <83y24ssveb.fsf@HIDDEN>
 <CADwFkm=fVu3gaXh_ykFEWypDMdAu-nSR+uOibXgSo1BM0tKV8Q@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52400
Cc: 52400 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Fri, 10 Dec 2021 13:32:51 +0000
> Cc: 52400 <at> debbugs.gnu.org
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I wouldn't touch these issues with a 3-mile pole.  They are fragile,
> > and once they work, having an extra file with 3 definitions is a price
> > I take every day.  It just isn't worth the effort to awaken these
> > sleeping dogs.
> 
> What are the risks in a case like this?

That the build breaks.  Two possible variants of breakage:

  . the autoloads aren't updated when they should be
  . the rule for updating the autoloads is executedevery time you say
    "make", even if there was no change anywhere in Emacs

> It seems to me that they are low, in the sense that if we run into
> any problems we can just revert it and live happily ever after.

I say why take the risks, however low, if the problem is not serious
enough?

> The main benefit for me is just a general reduction of complexity, but
> admittedly it is small.

Exactly.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52400; Package emacs. Full text available.

Message received at 52400 <at> debbugs.gnu.org:


Received: (at 52400) by debbugs.gnu.org; 10 Dec 2021 13:33:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 10 08:33:02 2021
Received: from localhost ([127.0.0.1]:45907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mvg1G-0005fk-CV
	for submit <at> debbugs.gnu.org; Fri, 10 Dec 2021 08:33:02 -0500
Received: from mail-pl1-f173.google.com ([209.85.214.173]:38848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mvg1B-0005fJ-Dv
 for 52400 <at> debbugs.gnu.org; Fri, 10 Dec 2021 08:33:01 -0500
Received: by mail-pl1-f173.google.com with SMTP id o14so6289182plg.5
 for <52400 <at> debbugs.gnu.org>; Fri, 10 Dec 2021 05:32:57 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=u/EdXLsLryvL6N1KMd/kQm9B9ZFiV4vsj6RBwRn68m0=;
 b=DJqbNuUevqNm/6kCflp9jzgEQuf77caikJprLWxY8CQmsG0opZ0u6q9DlRca4IpTJa
 UD1EpQ0/LTbnXupw0999VbIJJ77yzlU6EnOY8ZjHiDcKUWplreCHcmklc4C2KQZKoT3H
 GDM9N5wnXvdjzSb0hC8swUwL+dic+go2vgpZ+LtwSgBX48l9uwe7Nr4sEP8vELuIdJJ3
 nAZ2wKQ8GOVi2UlVG9TcDq44ZuBWJweCd1p2wPwnPzM2gnKiYoLMLsIWaX6FmOzspcON
 E/k7wI8Nsf8xkAQceAwNLnpnB5Os5befrE0nd9uQb1QG1KOABLUnmMlOvSGTDb6mOCnE
 WLPQ==
X-Gm-Message-State: AOAM533+YdEsNPCiMb4GKSKBceprYxIoc+/N2g+f6hmKjavll6nSiJqB
 +uBuAv5KI+6pH+YWmOfrc7qtWkjzDjTjYPkvCzs=
X-Google-Smtp-Source: ABdhPJxw17ZWZyPiQBOGti+jqUvsTDvGnV6xA0DeUtHjHptqH3WvR6dP69d3KRlIjw0bYKDlmPHMkkADAv2tLGBJWbM=
X-Received: by 2002:a17:90a:be10:: with SMTP id
 a16mr23708726pjs.133.1639143171609; 
 Fri, 10 Dec 2021 05:32:51 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 10 Dec 2021 13:32:51 +0000
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83y24ssveb.fsf@HIDDEN>
References: <CADwFkmkjSY6k59-0jPb2PWNUc=9F3pcMLjjAvGVPEfkszXFB3g@HIDDEN>
 <83y24ssveb.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 10 Dec 2021 13:32:51 +0000
Message-ID: <CADwFkm=fVu3gaXh_ykFEWypDMdAu-nSR+uOibXgSo1BM0tKV8Q@HIDDEN>
Subject: Re: bug#52400: [PATCH] Don't generate separate autoload file for
 htmlfontify.el
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 52400
Cc: 52400 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> I wouldn't touch these issues with a 3-mile pole.  They are fragile,
> and once they work, having an extra file with 3 definitions is a price
> I take every day.  It just isn't worth the effort to awaken these
> sleeping dogs.

What are the risks in a case like this?  It seems to me that they are
low, in the sense that if we run into any problems we can just revert it
and live happily ever after.  What am I missing?

The main benefit for me is just a general reduction of complexity, but
admittedly it is small.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52400; Package emacs. Full text available.

Message received at 52400 <at> debbugs.gnu.org:


Received: (at 52400) by debbugs.gnu.org; 10 Dec 2021 08:43:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 10 03:43:15 2021
Received: from localhost ([127.0.0.1]:45491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mvbUo-0005ql-SR
	for submit <at> debbugs.gnu.org; Fri, 10 Dec 2021 03:43:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mvbUm-0005qX-TS
 for 52400 <at> debbugs.gnu.org; Fri, 10 Dec 2021 03:43:13 -0500
Received: from [2001:470:142:3::e] (port=45472 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mvbUg-00038f-9C; Fri, 10 Dec 2021 03:43:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=GNP9KjIl8Q3iB18hH/48jEQKl4Vvem0kroLZVL65X8Q=; b=h9YfLyBxUKvy
 djPTbm7D8tYsuyd633nzq4Xvt5m9lWuPuXNc15iwFady7/VTipL4p4rNrm+202wMp8DcLyOtqanz4
 u+mt/Sxuao6sVxHlLcehVdplvwG/UN7DbqD2QNu8S8FSWLNZfwQ8sTDn/GzegaLwXf5cpYJfXzBul
 QGxk1KDmPlAUozQCrfOzqsrVgX4TY/p09Z+ouRfYcw0dmhnEud9iDt5X8jMXEetnOsrCGm6XTgTlA
 Na389FU2ndPHj+TIR0vEGIXPNKumnT7bZVl7nkc/Bs01roRTXN7Y23XxSf1Pho/a9dIfENpbv3LMg
 z5CZIOz/zsS37MBW+zN1cg==;
Received: from [87.69.77.57] (port=3111 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mvbUf-0007X0-ST; Fri, 10 Dec 2021 03:43:06 -0500
Date: Fri, 10 Dec 2021 10:42:52 +0200
Message-Id: <83y24ssveb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmkjSY6k59-0jPb2PWNUc=9F3pcMLjjAvGVPEfkszXFB3g@HIDDEN>
 (message from Stefan Kangas on Thu, 9 Dec 2021 18:07:24 -0800)
Subject: Re: bug#52400: [PATCH] Don't generate separate autoload file for
 htmlfontify.el
References: <CADwFkmkjSY6k59-0jPb2PWNUc=9F3pcMLjjAvGVPEfkszXFB3g@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52400
Cc: 52400 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Thu, 9 Dec 2021 18:07:24 -0800
> 
> Is there any need for generating a separate file htmlfontify-loaddefs.el
> file given that it only contains three definitions?  Or should we just
> get rid of it as in the attached?

I wouldn't touch these issues with a 3-mile pole.  They are fragile,
and once they work, having an extra file with 3 definitions is a price
I take every day.  It just isn't worth the effort to awaken these
sleeping dogs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52400; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Dec 2021 02:07:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 09 21:07:34 2021
Received: from localhost ([127.0.0.1]:45140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mvVJu-0007ii-I4
	for submit <at> debbugs.gnu.org; Thu, 09 Dec 2021 21:07:34 -0500
Received: from lists.gnu.org ([209.51.188.17]:35512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mvVJs-0007ib-Rx
 for submit <at> debbugs.gnu.org; Thu, 09 Dec 2021 21:07:33 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36526)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1mvVJs-0003md-LO
 for bug-gnu-emacs@HIDDEN; Thu, 09 Dec 2021 21:07:32 -0500
Received: from mail-pg1-f180.google.com ([209.85.215.180]:39451)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1mvVJm-00053j-L0
 for bug-gnu-emacs@HIDDEN; Thu, 09 Dec 2021 21:07:30 -0500
Received: by mail-pg1-f180.google.com with SMTP id r5so6769207pgi.6
 for <bug-gnu-emacs@HIDDEN>; Thu, 09 Dec 2021 18:07:26 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=rombmvHahgASzZOIZX3MAZeII1f3k+pscaRxfeh0r0A=;
 b=3rbZ/BnACfD4nqqoWuHXZHmHajnQfweOPUd0q31yF9yP6Xwl9NqLoWekvuC2zk3ZG1
 kOJEehqEH/zTQShMr7HiJFQRITjfafPZLArgexQ8fia7a6duJglSHSzndhWUkDpw1POJ
 ic889y8FmgtfOZ4GzTvrF9JfU3a/QxY/TtTZRisUWOTRjNndyEai2MECU+loIaXTHs7p
 R/i0mKknTZ8AocIW7XKvALAzGCCnh+U7CoJiQsGkngU0jcaopN+qtliDA5uHnBJVikvS
 evhVfdCT2qN2X/8FIRi28+LDrezCESOvHg2JJoNTbeDpLcUU153/XiPi/Aq0ZKAxEk1C
 kJ6Q==
X-Gm-Message-State: AOAM533KgwNlsC+iCCDFvog7HFudVCOK0JW/Wnn/ceo7Yime6AfHYMMW
 K7y90Iv/m84nUYW/D482SPqpDT/j57zYgePOdYBSF82U
X-Google-Smtp-Source: ABdhPJw/y6h8w0/sejdFV68zko27835D5CBnHIIiemQFUHfhynJKgnM+feupNvT8eNDZD5un8uUnGl6u16jz7DK7Kcs=
X-Received: by 2002:a63:cd:: with SMTP id 196mr2100229pga.591.1639102045127;
 Thu, 09 Dec 2021 18:07:25 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 9 Dec 2021 18:07:24 -0800
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Thu, 9 Dec 2021 18:07:24 -0800
Message-ID: <CADwFkmkjSY6k59-0jPb2PWNUc=9F3pcMLjjAvGVPEfkszXFB3g@HIDDEN>
Subject: [PATCH] Don't generate separate autoload file for htmlfontify.el
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="00000000000026ed5305d2c12f60"
Received-SPF: pass client-ip=209.85.215.180;
 envelope-from=stefankangas@HIDDEN; helo=mail-pg1-f180.google.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9,
 FREEMAIL_FORGED_FROMDOMAIN=0.248, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

--00000000000026ed5305d2c12f60
Content-Type: text/plain; charset="UTF-8"

Severity: wishlist

Is there any need for generating a separate file htmlfontify-loaddefs.el
file given that it only contains three definitions?  Or should we just
get rid of it as in the attached?

--00000000000026ed5305d2c12f60
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="0001-Don-t-generate-separate-autoload-file-for-htmlfontif.patch"
Content-Disposition: attachment; 
	filename="0001-Don-t-generate-separate-autoload-file-for-htmlfontif.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: facd197b40735eb9_0.1
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==
--00000000000026ed5305d2c12f60--




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52400; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 5 Jun 2022 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.